Subject: [PATCH] pinctrl: Add generic pinctrl-simple driver that supports omap2+ padconf

From: [email-masked] (Tony Lindgren)
Date: Tue, 15 May 2012 13:07:55 -0700

* Stephen Warren <[email-masked]> [120514 11:42]:
> On 05/12/2012 05:49 PM, Linus Walleij wrote:
> > On Thu, May 10, 2012 at 7:05 PM, Stephen Warren <[email-masked]> wrote:
> > 
> >> Also, were you intending pinctrl-simple to actually be the GPIO
> >> controller itself? That'd be another case that one might consider fairly
> >> simple, but then extends to being gpio-simple as well as pinctrl-simple...
> > 
> > We have some pinctrl drivers implementing gpiolib too already,
> > and it's unavoidable I think, as some recent discussion about
> > matcing struct gpio_chip and pinctrl GPIO ranges shows.
> 
> I strongly believe we should only do this when the exact same HW module
> is both pinctrl and GPIO.
> 
> When there are separate HW modules, we should have separate drivers. The
> fact that the two drivers need to co-ordinate with each-other isn't a
> good argument to make them one driver.
> 
> And irrespective of how the drivers are structured, if there are two HW
> modules, we really need two separate nodes in DT to describe them, since
> the SW architecture (1 vs. 2 drivers) shouldn't influence the DT
> representation unduly.

Yes.
 
> > Maybe "-simple" isn't such a good name for this thing. Noone thinks
> > any kind of pin control is simple in any sense of the word anyway :-D
> > 
> > Tony, would pinctrl-dt-only.c be a better name perhaps?
> 
> That might be OK for the filename, but it doesn't seem like a useful
> change for the DT compatible value.

Yeah let's see if we can come up with some better name.

Regards,

Tony